/*
 * nasd_linux_edrfs_client_syms.h
 *
 * EDRFS Client API Linux Kernel Symbols
 *
 * Authors: Jim Zelenka, Sean Levy, Marc Unangst
 */
/*
 * Copyright (c) of Carnegie Mellon University, 1999.
 *
 * Permission to reproduce, use, and prepare derivative works of
 * this software for internal use is granted provided the copyright
 * and "No Warranty" statements are included with all reproductions
 * and derivative works. This software may also be redistributed
 * without charge provided that the copyright and "No Warranty"
 * statements are included in all redistributions.
 *
 * NO WARRANTY. THIS SOFTWARE IS FURNISHED ON AN "AS IS" BASIS.
 * CARNEGIE MELLON UNIVERSITY MAKES NO WARRANTIES OF ANY KIND, EITHER
 * EXPRESSED OR IMPLIED AS TO THE MATTER INCLUDING, BUT NOT LIMITED
 * TO: WARRANTY OF FITNESS FOR PURPOSE OR MERCHANTABILITY, EXCLUSIVITY
 * OF RESULTS OR RESULTS OBTAINED FROM USE OF THIS SOFTWARE. CARNEGIE
 * MELLON UNIVERSITY DOES NOT MAKE ANY WARRANTY OF ANY KIND WITH RESPECT
 * TO FREEDOM FROM PATENT, TRADEMARK, OR COPYRIGHT INFRINGEMENT.
 */


#include <nasd/nasd_options.h>

NASD_EXPORT_SYMBOL(nasd_edrfscli_init);
NASD_EXPORT_SYMBOL(nasd_edrfscli_shutdown);

NASD_EXPORT_SYMBOL(nasd_bind_to_edrfs_server);
NASD_EXPORT_SYMBOL(nasd_unbind_edrfs_server);

/* fm ops */
NASD_EXPORT_SYMBOL(nasd_edrfscli_null);
NASD_EXPORT_SYMBOL(nasd_edrfscli_mount);
NASD_EXPORT_SYMBOL(nasd_edrfscli_fsstat);
NASD_EXPORT_SYMBOL(nasd_edrfscli_fsinfo);
NASD_EXPORT_SYMBOL(nasd_edrfscli_lookup_otw_provided);
NASD_EXPORT_SYMBOL(nasd_edrfscli_lookup);
NASD_EXPORT_SYMBOL(nasd_edrfscli_readdir);
NASD_EXPORT_SYMBOL(nasd_edrfscli_access);
NASD_EXPORT_SYMBOL(nasd_edrfscli_setattr);
NASD_EXPORT_SYMBOL(nasd_edrfscli_create_otw_provided);
NASD_EXPORT_SYMBOL(nasd_edrfscli_create);
NASD_EXPORT_SYMBOL(nasd_edrfscli_symlink);
NASD_EXPORT_SYMBOL(nasd_edrfscli_remove);
NASD_EXPORT_SYMBOL(nasd_edrfscli_mkdir);
NASD_EXPORT_SYMBOL(nasd_edrfscli_rmdir);
NASD_EXPORT_SYMBOL(nasd_edrfscli_newcookie);
NASD_EXPORT_SYMBOL(nasd_edrfscli_rename);
NASD_EXPORT_SYMBOL(nasd_edrfscli_getstats);

/* Local Variables:  */
/* indent-tabs-mode: nil */
/* tab-width: 2 */
/* End: */
